Subject: Re: win32 popen clone for mingw32 anyone?
From: [email-masked] (Douglas Steele)

1 Aug 1998 19:19:20 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
To: [email-masked]

In article <[email-masked]>, Mumit Khan
<[email-masked]> writes
>Here I'm referring to not being able to reproduce the bug where windres 
>can't create resource because the output from CPP goes to the screen.
>
>This is what happens:
>  
>  - windres calls the pre-processor via popen
>    * if --preprocessor flag is given, then it uses that; otherwise,
>    * use 'gcc -E -xc-header -DRC_INVOKED'
>  - windres now reads from the file descriptor returned by popen. All
>    output to stdout from the "popen'd" process should now go to this
>    file descriptor, but it seems to go to the CONSOLE according to this
>    bug.
>
>I couldn't reproduce it using crtdll.dll version 3.50; I'd be happy 
>provide others with my rewrite of Perl's popen/pclose routines to try 
>out.
If you have binaries I could try it out.

>Note that in the case where the default preprocessor is used, there are
>*two* levels of process creation -- windres calls gcc, and gcc calls cpp. 
>I suggest folks who're having this problem try the following:
>  
>  % windres --preprocessor cpp --define RC_INVOKED -o testres.o test.rc
>
>Before doing that, you'll have to add the directory containing cpp.exe to
>your path (or copy cpp.exe to somewhere in your path). Also, please try
>this on a trivial file with no extra includes to avoid adding lots of
>--include arguments.
>
>If this works
Unfortunately it still dumped to the screen.

-- 
Douglas Steele
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".